extends Position2D

onready var tween = $Tween

func appear_animation(force):
	position = Vector2.RIGHT * force
	$Tween.interpolate_property(
		self, "position", Vector2.RIGHT * force, Vector2.ZERO, 0.5, 
		Tween.TRANS_ELASTIC, Tween.EASE_OUT
	)
	$Tween.start()
